Skip to content

Aliases

POST /aliases/

Forward emails from one address to another. Supports catch-all rules.

FieldTypeRequiredDescription
domain_namestringYesParent domain (must exist)
sourcestringYesSource address or @domain.com for catch-all
destinationstringYesDestination email address
Terminal window
curl -X POST https://api.emboux.com/aliases/ \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"domain_name": "mycompany.com",
"source": "[email protected]",
"destination": "[email protected]"
}'

Forward all unmatched addresses to a single mailbox:

Terminal window
curl -X POST https://api.emboux.com/aliases/ \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"domain_name": "mycompany.com",
"source": "@mycompany.com",
"destination": "[email protected]"
}'
{
"id": 1,
"domain_id": 1,
"source": "[email protected]",
"destination": "[email protected]",
"created_at": "2025-01-15T10:35:00"
}
StatusDetail
400Alias source already exists
403Alias quota exceeded
404Domain not found

GET /aliases/?domain_id={id}
ParameterTypeRequiredDescription
domain_idintegerNoFilter by domain
Terminal window
curl "https://api.emboux.com/aliases/?domain_id=1" \
-H "Authorization: Bearer YOUR_API_KEY"

DELETE /aliases/{source}
Terminal window
curl -X DELETE "https://api.emboux.com/aliases/[email protected]" \
-H "Authorization: Bearer YOUR_API_KEY"